Conversation Rating を使うと、AI Agent の体験について訪問者のフィードバックを収集できます。有効にすると、訪問者は会話の最後に体験を評価するよう求められ、AI Agent のパフォーマンスについて直接的で実用的なシグナルが得られます。
評価は Dashboard の Conversations > Inbox で各会話とともに表示され、会話エクスポートにも含まれます。このデータを使って、知識のギャップを特定し、AI Agent の設定を改善し、満足度の傾向を時系列で追跡できます。
Dashboard の Conversations > Inbox > Feedback settings に対応します。
Get Conversation Rating Configuration
Section titled “Get Conversation Rating Configuration”GET https://app.quickchat.ai/v1/api/conversation_ratings/configuration
curl https://app.quickchat.ai/v1/api/conversation_ratings/configuration \ -H 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( url="https://app.quickchat.ai/v1/api/conversation_ratings/configuration", headers={"Authorization": "Bearer <API_TOKEN>"},)data = response.json()Response 200 OK
{ "conv_rating_active": true, "conv_rating_popup_active": true, "conv_rating_question_codes": ["HELPFUL_THUMBS", "EXPERIENCE_THUMBS"]}| Field | Description |
|---|---|
conv_rating_active boolean | 会話の最後に訪問者のフィードバック収集を有効にします |
conv_rating_popup_active boolean | フィードバックを求めるポップアッププロンプトを表示します(conv_rating_active と一致している必要があります) |
conv_rating_question_codes array of strings | 表示するフィードバック質問のタイプ。デフォルト:["HELPFUL_THUMBS", "EXPERIENCE_THUMBS"] |
Update Conversation Rating Configuration
Section titled “Update Conversation Rating Configuration”PATCH https://app.quickchat.ai/v1/api/conversation_ratings/configuration
curl -X PATCH https://app.quickchat.ai/v1/api/conversation_ratings/configuration \ -H 'Authorization: Bearer <API_TOKEN>' \ -H 'Content-Type: application/json' \ -d '{ "conv_rating_active": true, "conv_rating_popup_active": true}'import requests
response = requests.patch( url="https://app.quickchat.ai/v1/api/conversation_ratings/configuration", headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "conv_rating_active": True, "conv_rating_popup_active": True, },)data = response.json()Response 200 OK — 更新された conversation rating configuration を返します。